"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const base_command_1 = require("../base-command");
const command_1 = require("../utils/command");
const examples_1 = require("../utils/examples");
const COMMAND_NAME = command_1.fileName(__filename);
class SeqScansCommand extends base_command_1.default {
    getQuery() {
        return `
      SELECT relname AS name,
             seq_scan as count
      FROM pg_stat_user_tables
      ORDER BY seq_scan DESC;`;
    }
}
SeqScansCommand.description = 'Show the count of sequential scans by table descending by order.';
SeqScansCommand.examples = [command_1.defaultExample(COMMAND_NAME), examples_1.SEQ_SCANS];
SeqScansCommand.usage = [command_1.defaultUsage(COMMAND_NAME)];
exports.default = SeqScansCommand;
