"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const INTEGER = /^(\d+)$/;
/**
 * Converts a string to number.
 *
 * @param value String value
 */
function toInt(value) {
    if (INTEGER.exec(value)) {
        return parseInt(value, 10);
    }
    throw new Error(`Cannot parse '${value}' as int.`);
}
exports.toInt = toInt;
/**
 * Strips all new lines from string.
 *
 * @param value Input string.
 */
function stripNewLines(value) {
    return value.replace(/[\r\n]/g, '');
}
exports.stripNewLines = stripNewLines;
/**
 * Returns true if given value is string.
 *
 * @param value Value
 */
function isString(value) {
    return value && typeof (value) === 'string';
}
exports.isString = isString;
